require 'spec_helper'

describe Jafry::Configurator do
  before{described_class.schemes_configs.clear}
  it ".set_config" do
    expect(described_class.set_config('foo')).to eq({scheme: 'foo', config: {id_type: 'number', id_wrapper: 'id'}})
    expect(described_class.set_config('test', {id_type: 'bar', id_wrapper: 'baz'})).to eq({scheme: 'test', config: {id_type: 'bar', id_wrapper: 'baz'}})
    expect(described_class.schemes_configs.size).to eq(2)
  end

  it ".get_config" do
    described_class.set_config('foo')
    expect(described_class.get_config('foo')).to eq({id_type: 'number', id_wrapper: 'id'})
  end

  it "find_config" do
    described_class.set_config('foo')
    expect(described_class.find_config('foo')).to eq({scheme: 'foo', config: {id_type: 'number', id_wrapper: 'id'}})
  end
end