require 'spec_helper'

describe Jafry::Utilator do
  let(:stub_obj) { Class.new { include Jafry::Utilator }.new }

  it '#build_schemes_path' do
    expect(stub_obj.send(:build_schemes_path, 'foo')).to eq("./foo.json")
  end

  it "#scheme_file_exists?" do
    expect(stub_obj.send(:scheme_file_exists?, 'foo')).to eq(false)
  end

  it "#parse_json" do
    expect(stub_obj.send(:parse_json, "{\"foo\":\"bar\"}")).to eq({"foo" => "bar"})
  end

  it "#encode_json" do
    expect(stub_obj.send(:encode_json, {"foo" => "bar"})).to eq("{\"foo\":\"bar\"}")
  end

  it "#parse_scheme" do
    expect { stub_obj.send(:parse_scheme, 'foo') }.to output(/Please, create correct scheme file first/).to_stdout
    write_file("test.json", %Q({"name":"test"}))
    expect(stub_obj.send(:parse_scheme, 'test')).to eq({"name" => "test"})
  end
end